[Mailman-Users] Help with an error

Paul Kleeberg paul at fpen.org
Thu Dec 17 21:09:02 CET 2009

Now that I know what a nightmare it is for me to upgrade Apple's installation of Mailman on a 10.5.8 server, I am not eager to upgrade my 10.6.2 server to which this message applies.  I would like to apply the patch that Mark sent to me but I see from faq 4.40 that I will need to go through the same process of './configure' and 'make install' as I would with an upgrade.  Are there any other options?

I would like to leave it alone, but denying a subscription request fails and i keep getting reminders each morning of the pending request.

Are there other options to deny the request?

Paul Kleeberg
paul at fpen.org

On Dec 13, 2009, at 10:11 AM, Mark Sapiro wrote:

> Paul Kleeberg wrote:
>> In attending to a subscription request to a sunsetted list (the request came before the migration) via the web interface, I received an error.  Here is the mailman error log (I have modified e-mail addresses and the domain name):
>> Dec 13 08:35:55 2009 admin(81221): @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ 
>> admin(81221): [----- Mailman Version: 2.1.12rc1 -----] 
>> admin(81221): [----- Traceback ------] 
>> admin(81221): Traceback (most recent call last):
>> admin(81221):   File "/usr/share/mailman/scripts/driver", line 112, in run_main
>> admin(81221):     main()
>> admin(81221):   File "/BinaryCache/mailman/mailman-132~28/Root/usr/share/mailman/Mailman/Cgi/admindb.py", line 164, in main
>> admin(81221):   File "/BinaryCache/mailman/mailman-132~28/Root/usr/share/mailman/Mailman/Cgi/admindb.py", line 773, in process_form
>> admin(81221): AttributeError: 'str' object has no attribute 'get'
> This is a bug in 2.1.12rc1. Upgrade to 2.1.12 or install the attached
> admindb.patch.txt.
> -- 
> Mark Sapiro <mark at msapiro.net>        The highway is for gamblers,
> San Francisco Bay Area, California    better use your sense - B. Dylan
> <admindb.patch.txt>

More information about the Mailman-Users mailing list